Bug 1792102 - Install imagestreams and templates on Power and Z [4.4]
Summary: Install imagestreams and templates on Power and Z [4.4]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.2.z
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 4.4.z
Assignee: Yaakov Selkowitz
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On: 1850683
Blocks: 1792103
TreeView+ depends on / blocked
 
Reported: 2020-01-17 03:29 UTC by Yaakov Selkowitz
Modified: 2020-08-11 23:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1792103 1850683 (view as bug list)
Environment:
Last Closed: 2020-07-21 10:31:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 225 None closed enable sample imagestreams and templates on Z 2020-09-10 03:14:28 UTC
Github openshift cluster-samples-operator pull 297 None closed Bug 1792102: Install imagestreams and templates on Power and Z [4.4] 2020-09-10 03:14:27 UTC
Red Hat Product Errata RHBA-2020:2913 None None None 2020-07-21 10:31:46 UTC

Description Yaakov Selkowitz 2020-01-17 03:29:12 UTC
cluster-samples-operator is currently hobbled on non-x86 arches to not install imagestreams and samples.  This needs to be made fully functional in order to meet customer expectations for building applications, as well as for end-to-end testing.

Comment 5 XiuJuan Wang 2020-07-13 02:56:21 UTC
Jeremy,
Could you please take this bug verification?
Thanks

Comment 6 Jeremy Poulin 2020-07-13 17:12:20 UTC
Taking this verification. 4.6 builds are still showing stability problems on multi-arch so I will start this verification now.

Comment 7 XiuJuan Wang 2020-07-14 03:12:06 UTC
@Jeremy
Thanks.
Just a reminder, this is a 4.4.z bug, it's need to be verified before Tuesday.

Comment 8 Jeremy Poulin 2020-07-14 15:33:48 UTC
Most of the verification work is done. There was a go version mismatch on my cluster causing problem, so I'm double checking a few straggler tests.
Verification should be complete within the hour.

--J

Comment 9 Jeremy Poulin 2020-07-14 18:32:44 UTC
Things seem to be functioning as expecting. A few minor environment issues, but the only failures are known issue with the ruby builds on power, which we've already submitted patches for.

Comment 11 errata-xmlrpc 2020-07-21 10:31:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2913


Note You need to log in before you can comment on or make changes to this bug.